
Foreman - Bug #6405

Failure to reconnect on libvirtd restart

06/26/2014 11:56 AM -   Zordrak

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - libvirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Compute Resources with a valid, working libvirtd resource; if the libvirtd daemon on the remote host is restarted, all foreman

operations with the resource fail:

There was an error listing VMs: Call to virConnectNumOfDefinedDomains failed: internal error clien

t socket is closed

 This remains until the foreman rails app is restarted.

Here is an equivalent bug in the OpenStack Compute (Nova) project for reference purposes:

https://bugs.launchpad.net/nova/+bug/1154473

Related issues:

Related to Foreman - Bug #14854: Libvirt connection leaks Closed

History

#1 - 06/26/2014 12:01 PM -   Zordrak

All machines in use for testing: CentOS 6.5 x86_64

#2 - 06/26/2014 12:07 PM - Ohad Levy

we currently rescue ::Libvirt::RetrieveError upon connection failures and try to reconnect, maybe libvirt changed their exception code.

https://github.com/theforeman/foreman/blob/develop/app/models/compute_resources/foreman/model/libvirt.rb#L148

#3 - 09/26/2014 07:06 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - libvirt

#4 - 11/12/2014 04:57 AM - Andy Taylor

This might not be the same issue but we are experiencing this on Foreman 1.6.1, but not after a libvirt restart, it just seems to occasionally fail. Only a

full restart of Foreman gets it working again.

#5 - 10/25/2018 11:08 AM - Lukas Zapletal

- Related to Bug #14854: Libvirt connection leaks added
